$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.8.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.8.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '735C0F26E5A2B49EF192DC2990AD35CEA5DE5B476E0A51CAEEA4C07AC2FD7971'
  checksumType = 'sha256'
  checksum64 = '735C0F26E5A2B49EF192DC2990AD35CEA5DE5B476E0A51CAEEA4C07AC2FD7971'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.8-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
